﻿<%@ Page Language="C#" AutoEventWireup="true" CodeFile="ErvenyessegEllenorzesPl.aspx.cs" Inherits="ErvenyessegEllenorzesPl" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title>Érvényességvizsgáló vezérlők</title>
    <script type="text/javascript" language="javascript">
        function evenNumberTestClient(sender, e) {
            nr = parseInt(e.Value); 
            if (nr % 2 == 0) {
                e.IsValid = true;
            }
            else {
                e.IsValid = false;
            }
        }
    </script>
</head>
<body>
    <form id="form1" runat="server">
    <label for="userName">Felhasználónév:</label>
    <asp:Textbox id="userName" runat="server"></asp:Textbox>
        &nbsp;
        <asp:RequiredFieldValidator id="RequiredFieldValidator1" runat="server"
          ControlToValidate="userName"
          ErrorMessage="Név megadása kötelező"
          ForeColor="Red">
        </asp:RequiredFieldValidator>
     <br />
    <label for="age">Életkor:</label>
    <asp:Textbox id="age" runat="server" style="margin-left:52px" Width="36px"></asp:Textbox>
    &nbsp;
    <asp:RangeValidator ID="RangeValidator1" runat="server" 
      ControlToValidate="age"
      Type="Integer"
      MinimumValue="1" MaximumValue="100"
      ErrorMessage="Az életkor 1 és 115 közötti érték kell legyen!"
      ForeColor="Red"></asp:RangeValidator>
    <br />
    <label for="telnr">Telefonszám:</label>
    <asp:Textbox id="telnr" runat="server" style="margin-left:17px"></asp:Textbox>
    &nbsp;
    <asp:RegularExpressionValidator ID="RegularExpressionValidator1" runat="server" 
      ControlToValidate="telnr"
      ErrorMessage="A telefonszám alakja a következő kell legyen: dddd-dd-dd-dd"
      ValidationExpression="\d{4}-\d{2}-\d{2}-\d{2}"
      ForeColor="Red"></asp:RegularExpressionValidator>
    <br />
    Teszt: írj be egy páros számot!<br />
    P<label for="testValue">áros szám:</label>
    <asp:TextBox ID="testValue" runat="server" Width="36px"></asp:TextBox>
    &nbsp;
    <asp:CustomValidator ID="CustomValidator1" runat="server" 
      ControlToValidate = "testValue"
      ValidateEmptyText = "false"
      Display ="Static" 
      ErrorMessage="A beírt érték nem páros szám!"
      ForeColor="Red"
      ClientValidationFunction="evenNumberTestClient"
      OnServerValidate="evenNumberTest"></asp:CustomValidator>
    <br />
    <asp:Literal ID="serverTestMsg" runat="server"></asp:Literal>
    <br />
    <asp:Button ID="Button1" runat="server" Text="Submit" onclick="Button1_Click" />
    <br />
    <br />
    <asp:Literal ID="msg" runat="server"></asp:Literal>
    <br />
    <br />
    <asp:ValidationSummary ID="ValidationSummary1" runat="server"
        DisplayMode = "BulletList"
        HeaderText = "Az alábbi hibákat találtuk (összefoglalás):"
        ShowSummary = "true" />
    </form>
</body>
</html>
