﻿<!-- Egyszerű ASP.NET példa
kiírja, hogy hány nap/óra/perc maradt hátra ebből az évből
a C# kód itt egy külön script blokkban van elhelyezve, viszont ugyanazon állományon belül, mint a vizuális elemek 
Single-File Page Model-->
<%@ Page Language="C#" %>
<script runat="server">
void Button1_Click(Object sender, EventArgs e)
{
    string msg, days, hours, minutes;
    DateTime now, newYear;
    TimeSpan timeSpan;

    //beállítjuk a now és a newYear értékét
    now = DateTime.Now;
    newYear = new DateTime(DateTime.Now.Year + 1, 1, 1);

    //kiszámítjuk a különbséget
    timeSpan = newYear.Subtract(now);

    //kiírjuk a különbséget napok/órák/percekre bontva
    days = timeSpan.Days.ToString();
    msg = string.Format("Még hátravan: {0} nap, ", days);
    hours = timeSpan.Hours.ToString();
    msg = msg + string.Format("{0} óra, ", hours);
    minutes = timeSpan.Minutes.ToString();
    msg = msg + string.Format("{0} perc", minutes);
    Label1.Text = msg;
    Button1.Text = "Frissítés";
}
</script>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml">
<head>
    <meta content="text/html; charset=UTF-8" http-equiv="Content-Type" />
    <title>Visszaszámlálás</title>
</head>
<body>
    <h2>Hátramaradt napok/órák/percek ebből az évből</h2>
      <h3>(Single-File Page Model)</h3>

    <form id="Form1" runat="server">
    <div>
       <asp:Label id="Label1" 
         runat="server" Text="Még hátravaaaaan...">
       </asp:Label>
       <br />
       <asp:Button id="Button1" 
         runat="server" 
         onclick="Button1_Click" 
         Text="Kattints ide, hogy megtudd!">
      </asp:Button>
    </div>
  </form>
</body>
</html>
