﻿using System;
using System.Data;
using System.Web;

public partial class SessionHandlingPl : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {
        if (Session["BackgroundColor"] != null)
        {
            //a listából kiválasztott érték át lesz állítva a szesszióba lementett értékre
            ColorSelector.SelectedValue = Session["BackgroundColor"].ToString();
            BodyTag.Style["background-color"] = ColorSelector.SelectedValue;
        }
    }

    protected void ColorSelector_IndexChanged(object sender, EventArgs e)
    {
        BodyTag.Style["background-color"] = ColorSelector.SelectedValue;
        if (Session["BackgroundColor"] == null)
        {
            Session["BackgroundColor"] = ColorSelector.SelectedValue;
        }
    }
}