﻿using System;
using System.Drawing;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Collections;

public partial class ViewStatePl : System.Web.UI.Page
{

    // ArrayList - ez lesz a viewState-be lementve.
    ArrayList PageArrayList;

    ArrayList CreateArray()
    {
        // general egy ArrayList-et a pelda kedveert.
        ArrayList result = new ArrayList(4);
        result.Add("tea");
        result.Add("víz");
        result.Add("gyümölcslé");
        result.Add("sör");
        return result;
    }

    

    void Page_Load(object sender, EventArgs e)
    {
        
        if (ViewState["arrayListInViewState"] != null)
        {
            PageArrayList = (ArrayList)ViewState["arrayListInViewState"];
        }
        else
        {
            // Az ArrayList nincs a viewstate-ben, ezert letrehozzuk.
            PageArrayList = CreateArray();
        }
        // egy GridView kontrol fogja megmutatni a PageArrayList-ben tarolt adatokat
       
        GridView1.DataSource = PageArrayList;
        GridView1.DataBind();
        GridView1.HeaderRow.Cells[0].Text = "Ital-kínálat";

       /* foreach (GridViewRow row in GridView1.Rows) {
            if(row.Cells[0].Text){
                row.Cells[0].BackColor = Color.Yellow;
            }
        }
        */
        if (IsPostBack)
        {
            Int32 userAge = Int32.Parse(age.Text);
            if (CheckBoxList1.Items.Count == 0)
            {
                foreach (String item in PageArrayList)
                {
                    if ((userAge >= 18) || (item != "sör"))
                    {
                        CheckBoxList1.Items.Add(new ListItem(item));
                    }
                    age.Enabled = false;
                }
                CheckBoxList1.Visible = true;
            }
            else {
                String msg = (userAge < 18) ? "Tessék, igyad, " : "Köszönjük a választását, ";
                msg = msg + name.Text + ": ";
                foreach (ListItem item in CheckBoxList1.Items){
                    if (item.Selected == true) { 
                        msg = msg + item.Value + "\t";
                    }
                }
                message.Text = msg;
            }
        }
    }

   

    void Page_PreRender(object sender, EventArgs e)
    {
        // Elmentjuk a PageArrayList-et, mielott az oldal generalva lesz.
        ViewState.Add("arrayListInViewState", PageArrayList);
        //Ha (valamiert) nem akarnank, hogy automatikusan megjelenjen a korabban bevitt ertek:
        //name.Text = "";
    }

}